SetExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.SetExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class SetExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SetExecutor

Direct Known Subclasses:
  MapSetExecutor, PutExecutor, SetPropertyExecutor

public abstract class SetExecutor
extends Object

Abstract class that is used to execute an arbitrary method that is in introspected. This is the superclass for the PutExecutor and SetPropertyExecutor. There really should be a superclass for this and AbstractExecutor (which should be refactored to GetExecutor) because they differ only in the execute() method.

Since:
  1.5
Version:
  $Id: SetExecutor.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Jason van Zyl, Geir Magnusson Jr., Henning P. Schmiedehausen

Field Summary
`protected Log` | `log` Class logger

Constructor Summary
`SetExecutor()`

Method Summary
`abstract Object` | `execute(Object o, Object value)` Execute method against context.
`Method` | `getMethod()`
`boolean` | `isAlive()` Tell whether the executor is alive by looking at the value of the method.
`protected void` | `setMethod(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected Log log

  Class logger

Constructor Detail

### SetExecutor

    public SetExecutor()

Method Detail

### execute

    public abstract Object execute(Object o,
                                   Object value)
                            throws IllegalAccessException,
                                   InvocationTargetException

  Execute method against context.

  Parameters:
    `o` -
    `value` -
  Returns:
    The result of the invocation.
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`

### isAlive

    public boolean isAlive()

  Tell whether the executor is alive by looking at the value of the method.

  Returns:
    True if the executor is alive.

### getMethod

    public Method getMethod()

  Returns:
    The method to invoke.

### setMethod

    protected void setMethod(Method method)

  Parameters:
    `method` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.